Page MenuHomePhabricator

install font packages on all appservers, not just imagescalers (was: Install fonts-wqy-zenhei on all mediawiki app servers)
Closed, ResolvedPublic

Description

https://phabricator.wikimedia.org/T22825#834931
Timelines aren't rendered on image scalers. They're rendered on standard
mediawiki app servers
They need fonts-wqy-zenhei installing so they can do chinese timelines nicely
http://packages.ubuntu.com/trusty/fonts-wqy-zenhei
The font is included in modules/mediawiki/manifests/packages/fonts.pp
Should we just include mediawiki::packages::fonts on all appservers for ease?
Or just get fonts-wqy-zenhei installed?

Details

Reference
rt9024

Event Timeline

rtimport raised the priority of this task from to Normal.Dec 18 2014, 2:20 AM
rtimport set Reference to rt9024.
Reedy created this task.Dec 9 2014, 9:51 PM
Reedy added a comment.Dec 9 2014, 9:59 PM

Actually, I think we might want http://packages.ubuntu.com/trusty/ttf-unifont
Asking for clarification
new -> stalled

Reedy added a comment.Dec 9 2014, 9:59 PM

Status changed from 'new' to 'stalled' by reedy

Dzahn set Security to None.
Dzahn added a subscriber: Dzahn.Feb 7 2015, 2:25 AM

Does this really need to be limited to NDA people?

Dzahn changed the visibility from "WMF-NDA (Project)" to "All Users".Feb 7 2015, 2:25 AM
Dzahn changed the edit policy from "WMF-NDA (Project)" to "All Users".

@Reedy This got imported from RT. How's it today? ttf-unifont?

Krenair changed the visibility from "All Users" to "Public (No Login Required)".May 30 2015, 2:06 PM
Krenair added a subscriber: Krenair.
C933103 added a subscriber: C933103.EditedJun 5 2015, 7:16 AM

I don't think unifont should be use instead as according to http://wiki.debian.org.hk/w/Fonts it look like a wqy's font is an improved version over unifont in term of Chinese support.

edit:fix typo

Dzahn claimed this task.Jun 6 2015, 1:19 AM

Change 216392 had a related patch set uploaded (by Dzahn):
install fonts-wqy-zenhei on app servers

https://gerrit.wikimedia.org/r/216392

Change 216392 merged by Dzahn:
install fonts-wqy-zenhei on app servers

https://gerrit.wikimedia.org/r/216392

[mw2148:~] $ dpkg -l | grep zenhei
ii fonts-wqy-zenhei 0.9.45-5ubuntu1 all "WenQuanYi Zen Hei" A Hei-Ti Style (sans-serif) Chinese font
ii ttf-wqy-zenhei 0.9.45-5ubuntu1 all transitional dummy package

arrr. notice the "Should we just include mediawiki::packages::fonts on all appservers for ease? " so that did not do it.

PS1 of https://gerrit.wikimedia.org/r/#/c/216392/1 would be it

Dzahn removed Dzahn as the assignee of this task.Jun 24 2015, 12:12 AM

I think this works out the same, ttf-wqy-zenhei was renamed to fonts-wqy-zenhei in trusty/jessie

Package: fonts-wqy-zenhei
Version: 0.9.45-5ubuntu1
Depends: fontconfig (>= 2.3.1-1)
Breaks: ttf-wqy-zenhei (<< 0.9.45-5)
Replaces: ttf-wqy-zenhei (<< 0.9.45-5)
Provides: ttf-wqy-zenhei

however the problem is still that we're not including ::mediawiki::packages::fonts on all appservers so they don't get the font installed.

We could include that class everywhere, or install needed fonts piecemeal in mediawiki::packages

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 20 2015, 11:39 AM

Change 231284 had a related patch set uploaded (by Dzahn):
mediawiki: include font packages on all appservers

https://gerrit.wikimedia.org/r/231284

Dzahn claimed this task.Nov 11 2015, 1:52 AM
Dzahn lowered the priority of this task from Normal to Low.Mar 31 2016, 1:19 AM
Dzahn removed Dzahn as the assignee of this task.Apr 27 2016, 5:33 PM
Dzahn added a subscriber: Muehlenhoff.
Dzahn added a comment.Apr 27 2016, 5:35 PM

@Muehlenhoff back in August 2015 i uploaded this one https://gerrit.wikimedia.org/r/#/c/231284 (just amended to fix path conflict) as a possible fix for this ticket, it would mean all fonts on all appservers, not specific to this one. The whole thing would be about the "Timelines aren't rendered on image scalers. They're rendered on standard mediawiki app servers " and that we did not have the fonts on those. Opinions?

Dzahn renamed this task from Install fonts-wqy-zenhei on all mediawiki app servers to install font packages on all appservers, not just imagescalers (was: Install fonts-wqy-zenhei on all mediawiki app servers).Apr 27 2016, 5:36 PM
Dzahn changed the task status from Stalled to Open.
Dzahn raised the priority of this task from Low to Normal.
Dzahn added a subscriber: Joe.
Dzahn added a subscriber: faidon.

According to https://www.mediawiki.org/wiki/Extension:EasyTimeline Erik Zachte is the author of that extension, adding him for confirmation

Dzahn added a comment.May 26 2016, 2:01 AM

@Joe If "Timelines aren't rendered on image scalers. They're rendered on standard
mediawiki app servers " is true, why don't we just install the fonts on all appservers? Any reason not to ?

Cwek added a subscriber: Cwek.Jun 8 2016, 12:55 AM

@Joe If "Timelines aren't rendered on image scalers. They're rendered on standard
mediawiki app servers " is true, why don't we just install the fonts on all appservers? Any reason not to ?

Then I want to know where the extension rendered the image? If we can be sure which server the extension runs on, we could install the font on that servers. Isn't it.

Cwek added a comment.Jun 8 2016, 1:03 AM

In this issue, Do we have installed the fonts successfully? Or Do we need other support, like the supporting class or anything else?

Dzahn added a comment.Jun 8 2016, 1:08 AM

@Cwek The thing is that currently all the fonts are just installed on imagescalers (the servers who create thumbs) but apparently Timelines are just rendered on regular appservers (normal mediawiki servers) and these don't have the fonts installed because, besides this bug, they did not usually need them.

So my suggestion is to install them pn regular appservers too and thats what i was asking here and what

https://gerrit.wikimedia.org/r/#/c/231284/ is for

Cwek added a comment.Jul 6 2016, 1:00 AM

@Cwek The thing is that currently all the fonts are just installed on imagescalers (the servers who create thumbs) but apparently Timelines are just rendered on regular appservers (normal mediawiki servers) and these don't have the fonts installed because, besides this bug, they did not usually need them.
So my suggestion is to install them pn regular appservers too and thats what i was asking here and what
https://gerrit.wikimedia.org/r/#/c/231284/ is for

T123223 It seem that some new free fonts had been installed in the server. Can them be used for the issue?

Change 231284 merged by Dzahn:
mediawiki: include fonts in role::mediawiki::webserver

https://gerrit.wikimedia.org/r/231284

Dzahn added a comment.Aug 23 2016, 6:20 PM

fonts are now going to be installed on all appservers.

example on mw1261, canary appserver, just now:

[mw1261:~] $ puppet agent -tv
Info: Retrieving pluginfacts
Info: Retrieving plugin
Info: Loading facts
Info: Caching catalog for mw1261.eqiad.wmnet
Info: Applying configuration version '1471976266'
Notice: /Stage[main]/Packages::Fonts_gujr/Package[fonts-gujr]/ensure: ensure changed 'purged' to 'present'
Notice: /Stage[main]/Packages::Fonts_telu/Package[fonts-telu]/ensure: ensure changed 'purged' to 'present'
Notice: /Stage[main]/Packages::Fonts_beng/Package[fonts-beng]/ensure: ensure changed 'purged' to 'present'
Notice: /Stage[main]/Packages::Fonts_noto_cjk/Package[fonts-noto-cjk]/ensure: ensure changed 'purged' to 'present'
Notice: /Stage[main]/Packages::Fonts_knda/Package[fonts-knda]/ensure: ensure changed 'purged' to 'present'
Notice: /Stage[main]/Packages::Fonts_guru/Package[fonts-guru]/ensure: ensure changed 'purged' to 'present'
Notice: /Stage[main]/Packages::Fonts_mlym/Package[fonts-mlym]/ensure: ensure changed 'purged' to 'present'
Notice: /Stage[main]/Packages::Fonts_orya/Package[fonts-orya]/ensure: ensure changed 'purged' to 'present'
Notice: /Stage[main]/Packages::Fonts_taml/Package[fonts-taml]/ensure: ensure changed 'purged' to 'present'
..

Dzahn closed this task as Resolved.Aug 23 2016, 6:30 PM
Dzahn claimed this task.